# HG changeset patch # User agpetit # Date 1653642449 0 # Node ID 433dba16af7df8e7d9f5edc86d18c76966f63b80 # Parent b120a98cf62309d05cf9c6003382d5e62cff3a7f "planemo upload for repository https://github.com/mesocentre-clermont-auvergne/aubi_piaf commit 48a10de1b21f94ab8019d9d0e4a43e0bd9d0c31e-dirty" diff -r b120a98cf623 -r 433dba16af7d run_installed_tests.html --- a/run_installed_tests.html Fri May 27 07:36:52 2022 +0000 +++ /dev/null Thu Jan 01 00:00:00 1970 +0000 @@ -1,947 +0,0 @@ - - - - - Test Report - - - -

run_installed_tests.html

-

Report generated on 27-May-2022 at 09:08:27 by pytest-html v3.1.1

-

Environment

- - - - - - - - - - - - -
Packages{"pluggy": "1.0.0", "py": "1.11.0", "pytest": "6.2.5"}
PlatformLinux-5.13.0-44-generic-x86_64-with-glibc2.29
Plugins{"anyio": "3.5.0", "asyncio": "0.17.2", "celery": "0.0.0", "cov": "3.0.0", "html": "3.1.1", "json-report": "1.4.1", "metadata": "1.11.0", "mock": "3.7.0", "postgresql": "4.1.0", "pythonpath": "0.7.3", "shard": "0.1.2"}
Python3.8.10
-

Summary

-

5 tests ran in 162.57 seconds.

- 3 passed, 0 skipped, 2 failed, 0 errors, 0 expected failures, 0 unexpected passes -

Results

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ResultTestDurationLinks
Failedtest/functional/test_toolbox_pytest.py::test_tool[testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0_test_2]38.80
-
testcases = ('testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0_test_2', ...d.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 testMethod=runTest>, 1)
driver = <functional.test_toolbox_pytest.DefaultGalaxyTestDriver object at 0x7f227250c280>

@pytest.mark.parametrize("testcases", cases(), ids=idfn)
def test_tool(testcases, driver):
test = testcases[1]
> test.do_it(test_index=testcases[2])

test/functional/test_toolbox_pytest.py:84:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
test/functional/test_toolbox.py:35: in do_it
verify_tool(tool_id, self.galaxy_interactor, resource_parameters=resource_parameters, test_index=test_index, tool_version=tool_version, register_job_data=register_job_data)
lib/galaxy/tool_util/verify/interactor.py:1127: in verify_tool
raise e
lib/galaxy/tool_util/verify/interactor.py:1123: in verify_tool
job_stdio = _verify_outputs(testdef, test_history, jobs, data_list, data_collection_list, galaxy_interactor, quiet=quiet)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

testdef = <galaxy.tool_util.verify.interactor.ToolTestDescription object at 0x7f226f4f3c40>, history = '54f2a3a23292eb07'
jobs = [{'create_time': '2022-05-27T07:07:09.529613', 'exit_code': None, 'galaxy_version': '22.01', 'history_id': '54f2a3a23292eb07', ...}]
data_list = {'cut_log': {'create_time': '2022-05-27T07:07:09.533075', 'data_type': 'galaxy.datatypes.data.Text', 'deleted': False,...157069a5-6727-4eb8-9d80-8a551afe1093', 'validated_state': 'unknown', 'validated_state_message': None, 'visible': True}}
data_collection_list = {'output_traj': {'collection_type': 'list', 'contents_url': '/api/dataset_collections/5729865256bc2525/contents/5729865256bc2525', 'create_time': '2022-05-27T07:07:09.531693', 'deleted': False, ...}}
galaxy_interactor = <galaxy.tool_util.verify.interactor.GalaxyInteractorApi object at 0x7f2214721b50>, quiet = False

def _verify_outputs(testdef, history, jobs, data_list, data_collection_list, galaxy_interactor, quiet=False):
assert len(jobs) == 1, "Test framework logic error, somehow tool test resulted in more than one job."
job = jobs[0]

found_exceptions = []

def register_exception(e):
if not found_exceptions and not quiet:
# Only print this stuff out once.
for stream in ['stdout', 'stderr']:
if stream in job_stdio:
print(_format_stream(job_stdio[stream], stream=stream, format=True), file=sys.stderr)
found_exceptions.append(e)

if testdef.expect_failure:
if testdef.outputs:
raise Exception("Cannot specify outputs in a test expecting failure.")

maxseconds = testdef.maxseconds
# Wait for the job to complete and register expections if the final
# status was not what test was expecting.
job_failed = False
try:
galaxy_interactor.wait_for_job(job['id'], history, maxseconds)
except Exception as e:
job_failed = True
if not testdef.expect_failure:
found_exceptions.append(e)

job_stdio = galaxy_interactor.get_job_stdio(job['id'])

if testdef.num_outputs is not None:
expected = testdef.num_outputs
actual = len(data_list) + len(data_collection_list)
if expected != actual:
message = f"Incorrect number of outputs - expected {expected}, found {actual}: datasets {data_list.keys()} collections {data_collection_list.keys()}"
error = AssertionError(message)
register_exception(error)

if not job_failed and testdef.expect_failure:
error = AssertionError("Expected job to fail but Galaxy indicated the job successfully completed.")
register_exception(error)

expect_exit_code = testdef.expect_exit_code
if expect_exit_code is not None:
exit_code = job_stdio["exit_code"]
if str(expect_exit_code) != str(exit_code):
error = AssertionError(f"Expected job to complete with exit code {expect_exit_code}, found {exit_code}")
register_exception(error)

for output_index, output_dict in enumerate(testdef.outputs):
# Get the correct hid
name = output_dict["name"]
outfile = output_dict["value"]
attributes = output_dict["attributes"]
output_testdef = Bunch(name=name, outfile=outfile, attributes=attributes)
try:
output_data = data_list[name]
except (TypeError, KeyError):
# Legacy - fall back on ordered data list access if data_list is
# just a list (case with twill variant or if output changes its
# name).
if hasattr(data_list, "values"):
output_data = list(data_list.values())[output_index]
else:
output_data = data_list[len(data_list) - len(testdef.outputs) + output_index]
assert output_data is not None
try:
galaxy_interactor.verify_output(history, jobs, output_data, output_testdef=output_testdef, tool_id=job['tool_id'], maxseconds=maxseconds, tool_version=testdef.tool_version)
except Exception as e:
register_exception(e)

other_checks = {
"command_line": "Command produced by the job",
"command_version": "Tool version indicated during job execution",
"stdout": "Standard output of the job",
"stderr": "Standard error of the job",
}
# TODO: Only hack the stdio like this for older profile, for newer tool profiles
# add some syntax for asserting job messages maybe - or just drop this because exit
# code and regex on stdio can be tested directly - so this is really testing Galaxy
# core handling more than the tool.
job_messages = job_stdio.get("job_messages") or []
stdout_prefix = ""
stderr_prefix = ""
for job_message in job_messages:
message_type = job_message.get("type")
if message_type == "regex" and job_message.get("stream") == "stderr":
stderr_prefix += f"{job_message.get('desc') or ''}\n"
elif message_type == "regex" and job_message.get("stream") == "stdout":
stdout_prefix += f"{job_message.get('desc') or ''}\n"
elif message_type == "exit_code":
stderr_prefix += f"{job_message.get('desc') or ''}\n"
else:
raise Exception(f"Unknown job message type [{message_type}] in [{job_message}]")

for what, description in other_checks.items():
if getattr(testdef, what, None) is not None:
try:
raw_data = job_stdio[what]
assertions = getattr(testdef, what)
if what == "stdout":
data = stdout_prefix + raw_data
elif what == "stderr":
data = stderr_prefix + raw_data
else:
data = raw_data
verify_assertions(data, assertions)
except AssertionError as err:
errmsg = f'{description} different than expected\n'
errmsg += util.unicodify(err)
register_exception(AssertionError(errmsg))

for output_collection_def in testdef.output_collections:
try:
name = output_collection_def.name
# TODO: data_collection_list is clearly a bad name for dictionary.
if name not in data_collection_list:
message = f"Failed to find output [{name}], tool outputs include [{','.join(data_collection_list.keys())}]"
raise AssertionError(message)

# Data collection returned from submission, elements may have been populated after
# the job completed so re-hit the API for more information.
data_collection_id = data_collection_list[name]["id"]
galaxy_interactor.verify_output_collection(output_collection_def, data_collection_id, history, job['tool_id'])
except Exception as e:
register_exception(e)

if found_exceptions and not testdef.expect_test_failure:
> raise JobOutputsError(found_exceptions, job_stdio)
E galaxy.tool_util.verify.interactor.JobOutputsError: Output cut_log: different than expected
E Expected 241+-0 lines in the output found 163

lib/galaxy/tool_util/verify/interactor.py:1299: JobOutputsError
------------------------------Captured stderr call------------------------------
2022-05-27 09:06:44,120 DEBUG [multipart.multipart] Calling on_field_start with no data -2022-05-27 09:06:44,121 DEBUG [multipart.multipart] Calling on_field_name with data[0:4] -2022-05-27 09:06:44,121 DEBUG [multipart.multipart] Calling on_field_data with data[5:153] -2022-05-27 09:06:44,121 DEBUG [multipart.multipart] Calling on_field_end with no data -2022-05-27 09:06:44,121 DEBUG [multipart.multipart] Calling on_end with no data -2022-05-27 09:06:45,213 INFO [galaxy.tools] Validated and populated state for tool request (21.598 ms) -2022-05-27 09:06:45,219 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.142 ms) -2022-05-27 09:06:45,353 DEBUG [galaxy.tools.actions.upload] Checked uploads (134.155 ms) -2022-05-27 09:06:45,360 DEBUG [galaxy.tools.actions.upload] Created upload job (6.274 ms) -2022-05-27 09:06:45,381 INFO [galaxy.web_stack.handlers] (Job[id=7,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:46,309 INFO [galaxy.jobs.handler] (7) Job dispatched -2022-05-27 09:06:46,485 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/7/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/7/registry.xml' '/tmp/upload_params_n9cdh_8t' '8:/tmp/tmptoruqmiy/job_working_directory/000/7/working/dataset_af8d1b0c-d748-4b88-935e-429302b926ec_files:/tmp/tmptoruqmiy/files/a/f/8/dataset_af8d1b0c-d748-4b88-935e-429302b926ec.dat'] -2022-05-27 09:06:54,095 INFO [galaxy.tools] Validated and populated state for tool request (24.710 ms) -2022-05-27 09:06:54,102 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.144 ms) -2022-05-27 09:06:54,215 DEBUG [galaxy.tools.actions.upload] Checked uploads (113.287 ms) -2022-05-27 09:06:54,221 DEBUG [galaxy.tools.actions.upload] Created upload job (5.835 ms) -2022-05-27 09:06:54,242 INFO [galaxy.web_stack.handlers] (Job[id=8,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:54,873 INFO [galaxy.jobs.handler] (8) Job dispatched -2022-05-27 09:06:55,123 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/8/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/8/registry.xml' '/tmp/upload_params__n8zpgmo' '9:/tmp/tmptoruqmiy/job_working_directory/000/8/working/dataset_2f2d7be8-929e-4b65-a898-06a921300c73_files:/tmp/tmptoruqmiy/files/2/f/2/dataset_2f2d7be8-929e-4b65-a898-06a921300c73.dat'] -2022-05-27 09:07:01,790 INFO [galaxy.tools] Validated and populated state for tool request (23.541 ms) -2022-05-27 09:07:01,796 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.142 ms) -2022-05-27 09:07:01,908 DEBUG [galaxy.tools.actions.upload] Checked uploads (112.494 ms) -2022-05-27 09:07:01,916 DEBUG [galaxy.tools.actions.upload] Created upload job (7.217 ms) -2022-05-27 09:07:01,941 INFO [galaxy.web_stack.handlers] (Job[id=9,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:02,320 INFO [galaxy.jobs.handler] (9) Job dispatched -2022-05-27 09:07:02,533 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/9/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/9/registry.xml' '/tmp/upload_params_d9ksd_uu' '10:/tmp/tmptoruqmiy/job_working_directory/000/9/working/dataset_1cbe15a0-33cd-4c77-a7eb-cfce8034f2bb_files:/tmp/tmptoruqmiy/files/1/c/b/dataset_1cbe15a0-33cd-4c77-a7eb-cfce8034f2bb.dat'] -2022-05-27 09:07:09,478 INFO [galaxy.tools] Validated and populated state for tool request (23.189 ms) -2022-05-27 09:07:09,492 INFO [galaxy.tools.actions] Handled collection output named output_traj for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (2.367 ms) -2022-05-27 09:07:09,494 INFO [galaxy.tools.actions] Handled output named cut_log for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (1.967 ms) -2022-05-27 09:07:09,511 INFO [galaxy.tools.actions] Added output datasets to history (17.096 ms) -2022-05-27 09:07:09,515 INFO [galaxy.tools.actions] Setup for job Job[unflushed,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0] complete, ready to be enqueued (3.762 ms) -2022-05-27 09:07:09,558 INFO [galaxy.web_stack.handlers] (Job[id=10,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:09,901 INFO [galaxy.jobs.handler] (10) Job dispatched -2022-05-27 09:07:10,139 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/10/tool_script.sh] for tool command [[ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; ln -s '/tmp/tmptoruqmiy/files/a/f/8/dataset_af8d1b0c-d748-4b88-935e-429302b926ec.dat' 'PIP2.1_test.gro' && ln -s '/tmp/tmptoruqmiy/files/2/f/2/dataset_2f2d7be8-929e-4b65-a898-06a921300c73.dat' 'PIP2.1_test.xtc' && ln -s '/tmp/tmptoruqmiy/files/1/c/b/dataset_1cbe15a0-33cd-4c77-a7eb-cfce8034f2bb.dat' 'estimated_number_of_sub_trajectories.tsv' && python '/tmp/tmptoruqmiy/shed_tools/testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/c09cf8acc4de/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories.py' --verbose --gro_file 'PIP2.1_test.gro' --xtc_file 'PIP2.1_test.xtc' --log_output 'log/cut_trajectories.log' --output_directory 'out/' --nbr_sub_traj 'estimated_number_of_sub_trajectories.tsv' --group_output 0 --number_cpus "${GALAXY_SLOTS:-1}"] ----------------------- >> begin tool stdout << ----------------------- - ------------------------ >> end tool stdout << ------------------------ - ----------------------- >> begin tool stderr << ----------------------- - ------------------------ >> end tool stderr << ------------------------ - -
-------------------------------Captured log call--------------------------------
DEBUG multipart.multipart:multipart.py:604 Calling on_field_start with no data -DEBUG multipart.multipart:multipart.py:601 Calling on_field_name with data[0:4] -DEBUG multipart.multipart:multipart.py:601 Calling on_field_data with data[5:153] -DEBUG multipart.multipart:multipart.py:604 Calling on_field_end with no data -DEBUG multipart.multipart:multipart.py:604 Calling on_end with no data
Failedtest/functional/test_toolbox_pytest.py::test_tool[testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0_test_3]40.43
-
testcases = ('testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0_test_3', ...d.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 testMethod=runTest>, 2)
driver = <functional.test_toolbox_pytest.DefaultGalaxyTestDriver object at 0x7f227250c280>

@pytest.mark.parametrize("testcases", cases(), ids=idfn)
def test_tool(testcases, driver):
test = testcases[1]
> test.do_it(test_index=testcases[2])

test/functional/test_toolbox_pytest.py:84:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
test/functional/test_toolbox.py:35: in do_it
verify_tool(tool_id, self.galaxy_interactor, resource_parameters=resource_parameters, test_index=test_index, tool_version=tool_version, register_job_data=register_job_data)
lib/galaxy/tool_util/verify/interactor.py:1127: in verify_tool
raise e
lib/galaxy/tool_util/verify/interactor.py:1123: in verify_tool
job_stdio = _verify_outputs(testdef, test_history, jobs, data_list, data_collection_list, galaxy_interactor, quiet=quiet)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

testdef = <galaxy.tool_util.verify.interactor.ToolTestDescription object at 0x7f226f22bd30>, history = '8155e4b4bf1581ff'
jobs = [{'create_time': '2022-05-27T07:07:50.059003', 'exit_code': None, 'galaxy_version': '22.01', 'history_id': '8155e4b4bf1581ff', ...}]
data_list = {'cut_log': {'create_time': '2022-05-27T07:07:50.063180', 'data_type': 'galaxy.datatypes.data.Text', 'deleted': False,...11db857f-5e9e-40b7-ab71-3aba6213bc8b', 'validated_state': 'unknown', 'validated_state_message': None, 'visible': True}}
data_collection_list = {'output_traj': {'collection_type': 'list', 'contents_url': '/api/dataset_collections/54f2a3a23292eb07/contents/54f2a3a23292eb07', 'create_time': '2022-05-27T07:07:50.061399', 'deleted': False, ...}}
galaxy_interactor = <galaxy.tool_util.verify.interactor.GalaxyInteractorApi object at 0x7f2214721b50>, quiet = False

def _verify_outputs(testdef, history, jobs, data_list, data_collection_list, galaxy_interactor, quiet=False):
assert len(jobs) == 1, "Test framework logic error, somehow tool test resulted in more than one job."
job = jobs[0]

found_exceptions = []

def register_exception(e):
if not found_exceptions and not quiet:
# Only print this stuff out once.
for stream in ['stdout', 'stderr']:
if stream in job_stdio:
print(_format_stream(job_stdio[stream], stream=stream, format=True), file=sys.stderr)
found_exceptions.append(e)

if testdef.expect_failure:
if testdef.outputs:
raise Exception("Cannot specify outputs in a test expecting failure.")

maxseconds = testdef.maxseconds
# Wait for the job to complete and register expections if the final
# status was not what test was expecting.
job_failed = False
try:
galaxy_interactor.wait_for_job(job['id'], history, maxseconds)
except Exception as e:
job_failed = True
if not testdef.expect_failure:
found_exceptions.append(e)

job_stdio = galaxy_interactor.get_job_stdio(job['id'])

if testdef.num_outputs is not None:
expected = testdef.num_outputs
actual = len(data_list) + len(data_collection_list)
if expected != actual:
message = f"Incorrect number of outputs - expected {expected}, found {actual}: datasets {data_list.keys()} collections {data_collection_list.keys()}"
error = AssertionError(message)
register_exception(error)

if not job_failed and testdef.expect_failure:
error = AssertionError("Expected job to fail but Galaxy indicated the job successfully completed.")
register_exception(error)

expect_exit_code = testdef.expect_exit_code
if expect_exit_code is not None:
exit_code = job_stdio["exit_code"]
if str(expect_exit_code) != str(exit_code):
error = AssertionError(f"Expected job to complete with exit code {expect_exit_code}, found {exit_code}")
register_exception(error)

for output_index, output_dict in enumerate(testdef.outputs):
# Get the correct hid
name = output_dict["name"]
outfile = output_dict["value"]
attributes = output_dict["attributes"]
output_testdef = Bunch(name=name, outfile=outfile, attributes=attributes)
try:
output_data = data_list[name]
except (TypeError, KeyError):
# Legacy - fall back on ordered data list access if data_list is
# just a list (case with twill variant or if output changes its
# name).
if hasattr(data_list, "values"):
output_data = list(data_list.values())[output_index]
else:
output_data = data_list[len(data_list) - len(testdef.outputs) + output_index]
assert output_data is not None
try:
galaxy_interactor.verify_output(history, jobs, output_data, output_testdef=output_testdef, tool_id=job['tool_id'], maxseconds=maxseconds, tool_version=testdef.tool_version)
except Exception as e:
register_exception(e)

other_checks = {
"command_line": "Command produced by the job",
"command_version": "Tool version indicated during job execution",
"stdout": "Standard output of the job",
"stderr": "Standard error of the job",
}
# TODO: Only hack the stdio like this for older profile, for newer tool profiles
# add some syntax for asserting job messages maybe - or just drop this because exit
# code and regex on stdio can be tested directly - so this is really testing Galaxy
# core handling more than the tool.
job_messages = job_stdio.get("job_messages") or []
stdout_prefix = ""
stderr_prefix = ""
for job_message in job_messages:
message_type = job_message.get("type")
if message_type == "regex" and job_message.get("stream") == "stderr":
stderr_prefix += f"{job_message.get('desc') or ''}\n"
elif message_type == "regex" and job_message.get("stream") == "stdout":
stdout_prefix += f"{job_message.get('desc') or ''}\n"
elif message_type == "exit_code":
stderr_prefix += f"{job_message.get('desc') or ''}\n"
else:
raise Exception(f"Unknown job message type [{message_type}] in [{job_message}]")

for what, description in other_checks.items():
if getattr(testdef, what, None) is not None:
try:
raw_data = job_stdio[what]
assertions = getattr(testdef, what)
if what == "stdout":
data = stdout_prefix + raw_data
elif what == "stderr":
data = stderr_prefix + raw_data
else:
data = raw_data
verify_assertions(data, assertions)
except AssertionError as err:
errmsg = f'{description} different than expected\n'
errmsg += util.unicodify(err)
register_exception(AssertionError(errmsg))

for output_collection_def in testdef.output_collections:
try:
name = output_collection_def.name
# TODO: data_collection_list is clearly a bad name for dictionary.
if name not in data_collection_list:
message = f"Failed to find output [{name}], tool outputs include [{','.join(data_collection_list.keys())}]"
raise AssertionError(message)

# Data collection returned from submission, elements may have been populated after
# the job completed so re-hit the API for more information.
data_collection_id = data_collection_list[name]["id"]
galaxy_interactor.verify_output_collection(output_collection_def, data_collection_id, history, job['tool_id'])
except Exception as e:
register_exception(e)

if found_exceptions and not testdef.expect_test_failure:
> raise JobOutputsError(found_exceptions, job_stdio)
E galaxy.tool_util.verify.interactor.JobOutputsError: Output cut_log: different than expected
E Expected 239+-0 lines in the output found 161

lib/galaxy/tool_util/verify/interactor.py:1299: JobOutputsError
------------------------------Captured stderr call------------------------------
2022-05-27 09:07:23,056 DEBUG [multipart.multipart] Calling on_field_start with no data -2022-05-27 09:07:23,056 DEBUG [multipart.multipart] Calling on_field_name with data[0:4] -2022-05-27 09:07:23,056 DEBUG [multipart.multipart] Calling on_field_data with data[5:153] -2022-05-27 09:07:23,056 DEBUG [multipart.multipart] Calling on_field_end with no data -2022-05-27 09:07:23,056 DEBUG [multipart.multipart] Calling on_end with no data -2022-05-27 09:07:24,155 INFO [galaxy.tools] Validated and populated state for tool request (22.557 ms) -2022-05-27 09:07:24,161 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.147 ms) -2022-05-27 09:07:24,267 DEBUG [galaxy.tools.actions.upload] Checked uploads (105.875 ms) -2022-05-27 09:07:24,273 DEBUG [galaxy.tools.actions.upload] Created upload job (6.109 ms) -2022-05-27 09:07:24,304 INFO [galaxy.web_stack.handlers] (Job[id=11,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:24,687 INFO [galaxy.jobs.handler] (11) Job dispatched -2022-05-27 09:07:24,908 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/11/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/11/registry.xml' '/tmp/upload_params_149iajw4' '15:/tmp/tmptoruqmiy/job_working_directory/000/11/working/dataset_77bd9b6c-523e-47cf-9eab-81619349d30f_files:/tmp/tmptoruqmiy/files/7/7/b/dataset_77bd9b6c-523e-47cf-9eab-81619349d30f.dat'] -2022-05-27 09:07:32,387 INFO [galaxy.tools] Validated and populated state for tool request (22.918 ms) -2022-05-27 09:07:32,394 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.147 ms) -2022-05-27 09:07:32,506 DEBUG [galaxy.tools.actions.upload] Checked uploads (111.673 ms) -2022-05-27 09:07:32,512 DEBUG [galaxy.tools.actions.upload] Created upload job (6.064 ms) -2022-05-27 09:07:32,540 INFO [galaxy.web_stack.handlers] (Job[id=12,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:33,244 INFO [galaxy.jobs.handler] (12) Job dispatched -2022-05-27 09:07:33,510 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/12/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/12/registry.xml' '/tmp/upload_params_t99uz5pr' '16:/tmp/tmptoruqmiy/job_working_directory/000/12/working/dataset_18454cb5-4d92-467e-a6fe-92717ffffe40_files:/tmp/tmptoruqmiy/files/1/8/4/dataset_18454cb5-4d92-467e-a6fe-92717ffffe40.dat'] -2022-05-27 09:07:40,449 INFO [galaxy.tools] Validated and populated state for tool request (22.896 ms) -2022-05-27 09:07:40,456 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.352 ms) -2022-05-27 09:07:40,576 DEBUG [galaxy.tools.actions.upload] Checked uploads (119.159 ms) -2022-05-27 09:07:40,584 DEBUG [galaxy.tools.actions.upload] Created upload job (8.363 ms) -2022-05-27 09:07:40,608 INFO [galaxy.web_stack.handlers] (Job[id=13,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:40,935 INFO [galaxy.jobs.handler] (13) Job dispatched -2022-05-27 09:07:41,109 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/13/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/13/registry.xml' '/tmp/upload_params_e61k8ex6' '17:/tmp/tmptoruqmiy/job_working_directory/000/13/working/dataset_745f4487-3b81-44f5-9eb8-9d76e882a98a_files:/tmp/tmptoruqmiy/files/7/4/5/dataset_745f4487-3b81-44f5-9eb8-9d76e882a98a.dat'] -2022-05-27 09:07:50,014 INFO [galaxy.tools] Validated and populated state for tool request (24.877 ms) -2022-05-27 09:07:50,027 INFO [galaxy.tools.actions] Handled collection output named output_traj for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (0.776 ms) -2022-05-27 09:07:50,028 INFO [galaxy.tools.actions] Handled output named cut_log for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (0.902 ms) -2022-05-27 09:07:50,042 INFO [galaxy.tools.actions] Added output datasets to history (13.785 ms) -2022-05-27 09:07:50,045 INFO [galaxy.tools.actions] Setup for job Job[unflushed,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0] complete, ready to be enqueued (2.064 ms) -2022-05-27 09:07:50,082 INFO [galaxy.web_stack.handlers] (Job[id=14,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:07:50,482 INFO [galaxy.jobs.handler] (14) Job dispatched -2022-05-27 09:07:50,758 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/14/tool_script.sh] for tool command [[ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; ln -s '/tmp/tmptoruqmiy/files/7/7/b/dataset_77bd9b6c-523e-47cf-9eab-81619349d30f.dat' 'PIP2.1_test.gro' && ln -s '/tmp/tmptoruqmiy/files/1/8/4/dataset_18454cb5-4d92-467e-a6fe-92717ffffe40.dat' 'PIP2.1_test.xtc' && ln -s '/tmp/tmptoruqmiy/files/7/4/5/dataset_745f4487-3b81-44f5-9eb8-9d76e882a98a.dat' 'PIP2.1_test_check.txt' && python '/tmp/tmptoruqmiy/shed_tools/testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/c09cf8acc4de/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories.py' --verbose --gro_file 'PIP2.1_test.gro' --xtc_file 'PIP2.1_test.xtc' --log_output 'log/cut_trajectories.log' --output_directory 'out/' --nbr_sub_traj '3' --input_check 'PIP2.1_test_check.txt' --start_traj '0' --end_traj '10' --group_output 0 --number_cpus "${GALAXY_SLOTS:-1}"] ----------------------- >> begin tool stdout << ----------------------- - ------------------------ >> end tool stdout << ------------------------ - ----------------------- >> begin tool stderr << ----------------------- - ------------------------ >> end tool stderr << ------------------------ - -
-------------------------------Captured log call--------------------------------
DEBUG multipart.multipart:multipart.py:604 Calling on_field_start with no data -DEBUG multipart.multipart:multipart.py:601 Calling on_field_name with data[0:4] -DEBUG multipart.multipart:multipart.py:601 Calling on_field_data with data[5:153] -DEBUG multipart.multipart:multipart.py:604 Calling on_field_end with no data -DEBUG multipart.multipart:multipart.py:604 Calling on_end with no data
Passedtest/functional/test_toolbox_pytest.py::test_tool[testtoolshed.g2.bx.psu.edu/repos/agpetit/concatenate_table/concatenate_table/1.0.0_test_1]30.08
-
------------------------------Captured stderr call------------------------------
2022-05-27 09:05:57,130 DEBUG [multipart.multipart] Calling on_field_start with no data -2022-05-27 09:05:57,130 DEBUG [multipart.multipart] Calling on_field_name with data[0:4] -2022-05-27 09:05:57,131 DEBUG [multipart.multipart] Calling on_field_data with data[5:129] -2022-05-27 09:05:57,131 DEBUG [multipart.multipart] Calling on_field_end with no data -2022-05-27 09:05:57,131 DEBUG [multipart.multipart] Calling on_end with no data -2022-05-27 09:05:57,282 INFO [galaxy.managers.configuration] Galaxy extra version JSON file /tmp/tmptoruqmiy/galaxy-dev/version.json not loaded. -2022-05-27 09:05:57,369 INFO [galaxy.tools] Validated and populated state for tool request (23.134 ms) -2022-05-27 09:05:57,383 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.163 ms) -2022-05-27 09:05:57,525 DEBUG [galaxy.tools.actions.upload] Checked uploads (141.865 ms) -2022-05-27 09:05:57,531 DEBUG [galaxy.tools.actions.upload] Created upload job (5.830 ms) -2022-05-27 09:05:57,566 INFO [galaxy.web_stack.handlers] (Job[id=1,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:05:58,195 INFO [galaxy.jobs.handler] (1) Job dispatched -2022-05-27 09:05:58,387 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/1/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/1/registry.xml' '/tmp/upload_params_7yd43mro' '1:/tmp/tmptoruqmiy/job_working_directory/000/1/working/dataset_97392d40-4be1-455b-b5a1-d46e4721e0d8_files:/tmp/tmptoruqmiy/files/9/7/3/dataset_97392d40-4be1-455b-b5a1-d46e4721e0d8.dat'] -2022-05-27 09:06:05,465 INFO [galaxy.tools] Validated and populated state for tool request (29.005 ms) -2022-05-27 09:06:05,474 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.156 ms) -2022-05-27 09:06:05,608 DEBUG [galaxy.tools.actions.upload] Checked uploads (133.631 ms) -2022-05-27 09:06:05,614 DEBUG [galaxy.tools.actions.upload] Created upload job (5.702 ms) -2022-05-27 09:06:05,635 INFO [galaxy.web_stack.handlers] (Job[id=2,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:06,681 INFO [galaxy.jobs.handler] (2) Job dispatched -2022-05-27 09:06:06,896 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/2/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/2/registry.xml' '/tmp/upload_params_niqt66u4' '2:/tmp/tmptoruqmiy/job_working_directory/000/2/working/dataset_cb889cdf-730a-428f-b94b-82c19b5bb4f4_files:/tmp/tmptoruqmiy/files/c/b/8/dataset_cb889cdf-730a-428f-b94b-82c19b5bb4f4.dat'] -2022-05-27 09:06:13,887 INFO [galaxy.tools] Validated and populated state for tool request (21.823 ms) -2022-05-27 09:06:13,893 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.140 ms) -2022-05-27 09:06:14,001 DEBUG [galaxy.tools.actions.upload] Checked uploads (108.369 ms) -2022-05-27 09:06:14,007 DEBUG [galaxy.tools.actions.upload] Created upload job (5.655 ms) -2022-05-27 09:06:14,035 INFO [galaxy.web_stack.handlers] (Job[id=3,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:14,310 INFO [galaxy.jobs.handler] (3) Job dispatched -2022-05-27 09:06:14,453 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/3/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/3/registry.xml' '/tmp/upload_params_4_iqbmvk' '3:/tmp/tmptoruqmiy/job_working_directory/000/3/working/dataset_30dd8d24-f614-4ac7-8cd6-a4e18b4f1f3e_files:/tmp/tmptoruqmiy/files/3/0/d/dataset_30dd8d24-f614-4ac7-8cd6-a4e18b4f1f3e.dat'] -2022-05-27 09:06:21,302 INFO [galaxy.tools] Validated and populated state for tool request (28.288 ms) -2022-05-27 09:06:21,362 INFO [galaxy.tools.actions] Handled output named sort_file for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/concatenate_table/concatenate_table/1.0.0 (3.760 ms) -2022-05-27 09:06:21,377 INFO [galaxy.tools.actions] Added output datasets to history (14.220 ms) -2022-05-27 09:06:21,379 INFO [galaxy.tools.actions] Setup for job Job[unflushed,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/concatenate_table/concatenate_table/1.0.0] complete, ready to be enqueued (1.770 ms) -2022-05-27 09:06:21,418 INFO [galaxy.web_stack.handlers] (Job[id=4,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/concatenate_table/concatenate_table/1.0.0]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:21,724 INFO [galaxy.jobs.handler] (4) Job dispatched -2022-05-27 09:06:22,041 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/4/tool_script.sh] for tool command [cat /tmp/tmptoruqmiy/files/9/7/3/dataset_97392d40-4be1-455b-b5a1-d46e4721e0d8.dat | awk -F'\t' 'BEGIN{mean="Time (ps)"; std=""} /^Time/ {for (i=2; i<(NF+1); i++) gsub(" ", ",mean ",$i) ; for (i=2; i<(NF+1); i++) mean=mean "\t" $i ; for (i=2; i<(NF+1); i++) gsub(",mean", ",std ",$i); for (i=2; i<(NF+1); i++) std=std "\t" $i } END{print (mean std)}' &>> '/tmp/tmptoruqmiy/files/e/e/c/dataset_eec2e4de-bddf-4d25-b9b2-aa655cfec902.dat' ; cat /tmp/tmptoruqmiy/files/9/7/3/dataset_97392d40-4be1-455b-b5a1-d46e4721e0d8.dat | awk -F'\t' -v min=200.0 'BEGIN{min_val=min ; max_val=0 ; means=""; std=""} /^[0-9]/ {if ($1 <= min_val) {min_val=$1} ; if ($1 >= max_val) {max_val=$1}} ; /Mean/ {for (i=2; i<NF; i++) means=means"\t"$i ;means=means"\t"$NF } ; /Std/ {for (i=2; i<NF; i++) std=std"\t"$i; ;std=std"\t"$NF} END {print (min_val "-" max_val means std)}' &>> 'test.tabular' ; cat /tmp/tmptoruqmiy/files/c/b/8/dataset_cb889cdf-730a-428f-b94b-82c19b5bb4f4.dat | awk -F'\t' -v min=500.0 'BEGIN{min_val=min ; max_val=0 ; means=""; std=""} /^[0-9]/ {if ($1 <= min_val) {min_val=$1} ; if ($1 >= max_val) {max_val=$1}} ; /Mean/ {for (i=2; i<NF; i++) means=means"\t"$i ;means=means"\t"$NF } ; /Std/ {for (i=2; i<NF; i++) std=std"\t"$i; ;std=std"\t"$NF} END {print (min_val "-" max_val means std)}' &>> 'test.tabular' ; cat /tmp/tmptoruqmiy/files/3/0/d/dataset_30dd8d24-f614-4ac7-8cd6-a4e18b4f1f3e.dat | awk -F'\t' -v min=1000.0 'BEGIN{min_val=min ; max_val=0 ; means=""; std=""} /^[0-9]/ {if ($1 <= min_val) {min_val=$1} ; if ($1 >= max_val) {max_val=$1}} ; /Mean/ {for (i=2; i<NF; i++) means=means"\t"$i ;means=means"\t"$NF } ; /Std/ {for (i=2; i<NF; i++) std=std"\t"$i; ;std=std"\t"$NF} END {print (min_val "-" max_val means std)}' &>> 'test.tabular' ; cat 'test.tabular' | sort -k1 -n &>> '/tmp/tmptoruqmiy/files/e/e/c/dataset_eec2e4de-bddf-4d25-b9b2-aa655cfec902.dat'] -
-------------------------------Captured log call--------------------------------
DEBUG multipart.multipart:multipart.py:604 Calling on_field_start with no data -DEBUG multipart.multipart:multipart.py:601 Calling on_field_name with data[0:4] -DEBUG multipart.multipart:multipart.py:601 Calling on_field_data with data[5:129] -DEBUG multipart.multipart:multipart.py:604 Calling on_field_end with no data -DEBUG multipart.multipart:multipart.py:604 Calling on_end with no data
Passedtest/functional/test_toolbox_pytest.py::test_tool[testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0_test_1]16.85
-
------------------------------Captured stderr call------------------------------
2022-05-27 09:06:27,235 DEBUG [multipart.multipart] Calling on_field_start with no data -2022-05-27 09:06:27,236 DEBUG [multipart.multipart] Calling on_field_name with data[0:4] -2022-05-27 09:06:27,236 DEBUG [multipart.multipart] Calling on_field_data with data[5:153] -2022-05-27 09:06:27,237 DEBUG [multipart.multipart] Calling on_field_end with no data -2022-05-27 09:06:27,237 DEBUG [multipart.multipart] Calling on_end with no data -2022-05-27 09:06:27,445 INFO [galaxy.tools] Validated and populated state for tool request (22.082 ms) -2022-05-27 09:06:27,453 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.154 ms) -2022-05-27 09:06:27,567 DEBUG [galaxy.tools.actions.upload] Checked uploads (113.879 ms) -2022-05-27 09:06:27,572 DEBUG [galaxy.tools.actions.upload] Created upload job (5.676 ms) -2022-05-27 09:06:27,592 INFO [galaxy.web_stack.handlers] (Job[id=5,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:28,223 INFO [galaxy.jobs.handler] (5) Job dispatched -2022-05-27 09:06:28,370 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/5/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/5/registry.xml' '/tmp/upload_params_3z8ry2g5' '5:/tmp/tmptoruqmiy/job_working_directory/000/5/working/dataset_fedb0d1a-a7bd-401b-86ba-117e6751df12_files:/tmp/tmptoruqmiy/files/f/e/d/dataset_fedb0d1a-a7bd-401b-86ba-117e6751df12.dat'] -2022-05-27 09:06:37,473 INFO [galaxy.tools] Validated and populated state for tool request (22.142 ms) -2022-05-27 09:06:37,488 INFO [galaxy.tools.actions] Handled output named sub_trajectories_out_file for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (2.549 ms) -2022-05-27 09:06:37,490 INFO [galaxy.tools.actions] Handled output named estimate_log for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0 (1.954 ms) -2022-05-27 09:06:37,505 INFO [galaxy.tools.actions] Added output datasets to history (15.426 ms) -2022-05-27 09:06:37,508 INFO [galaxy.tools.actions] Setup for job Job[unflushed,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0] complete, ready to be enqueued (2.166 ms) -2022-05-27 09:06:37,543 INFO [galaxy.web_stack.handlers] (Job[id=6,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories/0.1.0]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:06:37,847 INFO [galaxy.jobs.handler] (6) Job dispatched -2022-05-27 09:06:37,982 WARNI [galaxy.security.object_wrapper] Unable to create dynamic subclass SafeStringWrapper(galaxy.model.none_like.None:<class 'NoneType'>,<class 'NotImplementedType'>,<class 'bool'>,<class 'bytearray'>,<class 'ellipsis'>,<class 'galaxy.security.object_wrapper.SafeStringWrapper'>,<class 'galaxy.tools.wrappers.ToolParameterValueWrapper'>,<class 'numbers.Number'>) for <class 'galaxy.model.none_like.NoneDataset'>, None: type() doesn't support MRO entry resolution; use types.new_class() -2022-05-27 09:06:38,056 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/6/tool_script.sh] for tool command [[ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; ln -s '/tmp/tmptoruqmiy/files/f/e/d/dataset_fedb0d1a-a7bd-401b-86ba-117e6751df12.dat' 'PIP2.1_test_check.txt' && ln -s '/tmp/tmptoruqmiy/files/5/8/a/dataset_58ab194a-5436-4b35-aea0-6b66530a0562.dat' 'estimated_number_of_sub_trajectories.tsv' && python '/tmp/tmptoruqmiy/shed_tools/testtoolshed.g2.bx.psu.edu/repos/agpetit/estimate_cut_sub_trajectories/c09cf8acc4de/estimate_cut_sub_trajectories/estimate_cut_sub_trajectories.py' --input_check 'PIP2.1_test_check.txt' --verbose --output_file 'estimated_number_of_sub_trajectories.tsv' --log_output 'log/estimated_number_of_sub_trajectories.log' --nb_frames '3' --start_traj '' --end_traj ''] -
-------------------------------Captured log call--------------------------------
DEBUG multipart.multipart:multipart.py:604 Calling on_field_start with no data -DEBUG multipart.multipart:multipart.py:601 Calling on_field_name with data[0:4] -DEBUG multipart.multipart:multipart.py:601 Calling on_field_data with data[5:153] -DEBUG multipart.multipart:multipart.py:604 Calling on_field_end with no data -DEBUG multipart.multipart:multipart.py:604 Calling on_end with no data
Passedtest/functional/test_toolbox_pytest.py::test_tool[testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0_test_1]23.96
-
------------------------------Captured stderr call------------------------------
2022-05-27 09:08:03,555 DEBUG [multipart.multipart] Calling on_field_start with no data -2022-05-27 09:08:03,556 DEBUG [multipart.multipart] Calling on_field_name with data[0:4] -2022-05-27 09:08:03,556 DEBUG [multipart.multipart] Calling on_field_data with data[5:149] -2022-05-27 09:08:03,557 DEBUG [multipart.multipart] Calling on_field_end with no data -2022-05-27 09:08:03,557 DEBUG [multipart.multipart] Calling on_end with no data -2022-05-27 09:08:03,766 INFO [galaxy.tools] Validated and populated state for tool request (22.328 ms) -2022-05-27 09:08:03,772 DEBUG [galaxy.tools.actions.upload] Persisted uploads (0.146 ms) -2022-05-27 09:08:03,874 DEBUG [galaxy.tools.actions.upload] Checked uploads (101.847 ms) -2022-05-27 09:08:03,880 DEBUG [galaxy.tools.actions.upload] Created upload job (5.943 ms) -2022-05-27 09:08:03,908 INFO [galaxy.web_stack.handlers] (Job[id=15,tool_id=upload1]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:08:04,251 INFO [galaxy.jobs.handler] (15) Job dispatched -2022-05-27 09:08:04,484 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/15/tool_script.sh] for tool command [python '/tmp/tmptoruqmiy/galaxy-dev/tools/data_source/upload.py' '/tmp/tmptoruqmiy/galaxy-dev' '/tmp/tmptoruqmiy/job_working_directory/000/15/registry.xml' '/tmp/upload_params_fom2zjay' '22:/tmp/tmptoruqmiy/job_working_directory/000/15/working/dataset_14d25761-af75-46cc-b88e-fff28f41b237_files:/tmp/tmptoruqmiy/files/1/4/d/dataset_14d25761-af75-46cc-b88e-fff28f41b237.dat'] -2022-05-27 09:08:11,110 INFO [galaxy.tools] Validated and populated state for tool request (11.546 ms) -2022-05-27 09:08:11,124 INFO [galaxy.tools.actions] Handled output named out_file for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0 (2.658 ms) -2022-05-27 09:08:11,126 INFO [galaxy.tools.actions] Handled output named out_file2 for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0 (1.971 ms) -2022-05-27 09:08:11,128 INFO [galaxy.tools.actions] Handled output named out_file3 for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0 (1.959 ms) -2022-05-27 09:08:11,131 INFO [galaxy.tools.actions] Handled output named out_file4 for tool testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0 (2.792 ms) -2022-05-27 09:08:11,148 INFO [galaxy.tools.actions] Added output datasets to history (16.256 ms) -2022-05-27 09:08:11,150 INFO [galaxy.tools.actions] Setup for job Job[unflushed,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0] complete, ready to be enqueued (2.459 ms) -2022-05-27 09:08:11,183 INFO [galaxy.web_stack.handlers] (Job[id=16,tool_id=testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp/0.1.0]) Handler '_default_' assigned using 'HANDLER_ASSIGNMENT_METHODS.DB_SKIP_LOCKED' assignment method -2022-05-27 09:08:11,681 INFO [galaxy.jobs.handler] (16) Job dispatched -2022-05-27 09:08:11,940 INFO [galaxy.jobs.command_factory] Built script [/tmp/tmptoruqmiy/job_working_directory/000/16/tool_script.sh] for tool command [[ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; [ "$(basename "$CONDA_DEFAULT_ENV")" = "$(basename '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f')" ] || { -MAX_TRIES=3 -COUNT=0 -while [ $COUNT -lt $MAX_TRIES ]; do - . '/home/aepetit/miniconda3/bin/activate' '/home/aepetit/miniconda3/envs/mulled-v1-5a4fbc211f26cb04dc98136056f4848655807f4df79e1bb9f5b172569688ee2f' > conda_activate.log 2>&1 - if [ $? -eq 0 ];then - break - else - let COUNT=COUNT+1 - if [ $COUNT -eq $MAX_TRIES ];then - echo "Failed to activate conda environment! Error was:" - cat conda_activate.log - exit 1 - fi - sleep 10s - fi -done -} ; ln -s '/tmp/tmptoruqmiy/files/1/4/d/dataset_14d25761-af75-46cc-b88e-fff28f41b237.dat' 'table_sort_pore_diameter_aqp.tabular' && Rscript '/tmp/tmptoruqmiy/shed_tools/testtoolshed.g2.bx.psu.edu/repos/agpetit/visualize_pore_diameter_aqp/3cdcc6eeb3ec/visualize_pore_diameter_aqp/visualize_pore_diameter_aqp.R' -i 'table_sort_pore_diameter_aqp.tabular' -a TRUE -p TRUE -d TRUE -f TRUE] -2022-05-27 09:08:24,745 INFO [galaxy.tool_util.verify] ## files diff on '/tmp/tmpher3091iall_graphics_distribution.pdf' and '/tmp/tmpc_uqkw8kall_graphics_distribution.pdf': lines_diff = 0, found diff = 4, found pdf invalid diff = 0 -
-------------------------------Captured log call--------------------------------
DEBUG multipart.multipart:multipart.py:604 Calling on_field_start with no data -DEBUG multipart.multipart:multipart.py:601 Calling on_field_name with data[0:4] -DEBUG multipart.multipart:multipart.py:601 Calling on_field_data with data[5:149] -DEBUG multipart.multipart:multipart.py:604 Calling on_field_end with no data -DEBUG multipart.multipart:multipart.py:604 Calling on_end with no data
----------------------------Captured stderr teardown----------------------------
2022-05-27 09:08:24,841 INFO [test_driver] 21 threads were active before stopping embedded server -2022-05-27 09:08:24,841 INFO [test_driver] Shutting down embedded galaxy uvicorn server -2022-05-27 09:08:24,841 INFO [test_driver] Embedded web server galaxy stopped -2022-05-27 09:08:24,841 INFO [test_driver] Stopping embedded server thread -INFO: Shutting down -2022-05-27 09:08:24,911 INFO [uvicorn.error] Shutting down -INFO: Waiting for application shutdown. -2022-05-27 09:08:25,013 INFO [uvicorn.error] Waiting for application shutdown. -INFO: Application shutdown complete. -2022-05-27 09:08:25,013 INFO [uvicorn.error] Application shutdown complete. -INFO: Finished server process [23683] -2022-05-27 09:08:25,014 INFO [uvicorn.error] Finished server process [23683] -2022-05-27 09:08:25,015 INFO [test_driver] Event loop for uvicorn closed -2022-05-27 09:08:25,016 INFO [test_driver] Embedded server thread stopped -2022-05-27 09:08:25,016 INFO [test_driver] Stopping application galaxy -2022-05-27 09:08:26,298 INFO [galaxy.queue_worker] Sending reconfigure_watcher control task. -2022-05-27 09:08:26,325 INFO [galaxy.jobs.handler] sending stop signal to worker thread -2022-05-27 09:08:27,337 INFO [galaxy.jobs.handler] job handler queue stopped -2022-05-27 09:08:27,338 INFO [galaxy.jobs.runners] LocalRunner: Sending stop signal to 4 job worker threads -2022-05-27 09:08:27,338 INFO [galaxy.jobs.runners] Waiting up to 5 seconds for job worker threads to shutdown... -2022-05-27 09:08:27,339 INFO [galaxy.jobs.runners] All job worker threads shutdown cleanly -2022-05-27 09:08:27,340 INFO [galaxy.jobs.runners] TaskRunner: Sending stop signal to 2 job worker threads -2022-05-27 09:08:27,340 INFO [galaxy.jobs.runners] Waiting up to 5 seconds for job worker threads to shutdown... -2022-05-27 09:08:27,468 INFO [galaxy.jobs.runners] All job worker threads shutdown cleanly -2022-05-27 09:08:27,469 INFO [galaxy.jobs.handler] sending stop signal to worker thread -2022-05-27 09:08:27,469 INFO [galaxy.jobs.handler] job handler stop queue stopped -2022-05-27 09:08:27,470 INFO [test_driver] Application galaxy stopped. -2022-05-27 09:08:27,471 INFO [test_driver] 2 active after stopping embedded server -
-----------------------------Captured log teardown------------------------------
INFO test_driver:driver_util.py:747 21 threads were active before stopping embedded server -INFO test_driver:driver_util.py:755 Shutting down embedded galaxy uvicorn server -INFO test_driver:driver_util.py:757 Embedded web server galaxy stopped -INFO test_driver:driver_util.py:760 Stopping embedded server thread -INFO uvicorn.error:server.py:252 Shutting down -INFO uvicorn.error:on.py:64 Waiting for application shutdown. -INFO uvicorn.error:on.py:75 Application shutdown complete. -INFO uvicorn.error:server.py:85 Finished server process [23683] -INFO test_driver:driver_util.py:587 Event loop for uvicorn closed -INFO test_driver:driver_util.py:762 Embedded server thread stopped -INFO test_driver:driver_util.py:765 Stopping application galaxy -INFO test_driver:driver_util.py:767 Application galaxy stopped. -INFO test_driver:driver_util.py:769 2 active after stopping embedded server
\ No newline at end of file diff -r b120a98cf623 -r 433dba16af7d test-data/cut_trajectories_file.log --- a/test-data/cut_trajectories_file.log Fri May 27 07:36:52 2022 +0000 +++ b/test-data/cut_trajectories_file.log Fri May 27 09:07:29 2022 +0000 @@ -16,45 +16,18 @@ INFO - .gro file is PIP2.1_test.gro INFO - .xtc file is PIP2.1_test.xtc INFO - Output directory is out/ -INFO - The name of .log file is log/cut_trajectories.log +INFO - The name of .log file is out_log/cut_trajectories.log INFO - The number of cpus used is 1 INFO - Sub_trajectory 1 starts at 0 ps and ends at 20 ps INFO - Sub_trajectory 2 starts at 30 ps and ends at 50 ps INFO - Sub_trajectory 3 starts at 60 ps and ends at 80 ps INFO - Launch gmx trjconv - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/5/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 0 -e 20 -o out/PIP2.1_test_traj_1.xtc @@ -80,52 +53,26 @@ Reading frame 0 time 0.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 0.000 -Reading frame 1 time 10.000 -> frame 1 time 10.000 +Reading frame 1 time 10.000 -> frame 0 time 0.000 -Reading frame 2 time 20.000 -> frame 2 time 20.000 +Reading frame 2 time 20.000 -> frame 1 time 10.000 Last frame 2 time 20.000 + -> frame 2 time 20.000 +Last written: frame 2 time 20.000 -GROMACS reminds you: "Do You Have Sex Maniacs or Schizophrenics or Astrophysicists in Your Family?" (Gogol Bordello) +GROMACS reminds you: "The Microsecond is Within Reach" (P.J. Van Maaren) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output Selected 0: 'System' - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/5/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 30 -e 50 -o out/PIP2.1_test_traj_2.xtc @@ -152,52 +99,26 @@ Reading frame 0 time 30.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 30.000 -Reading frame 1 time 40.000 -> frame 1 time 40.000 +Reading frame 1 time 40.000 -> frame 0 time 30.000 -Reading frame 2 time 50.000 -> frame 2 time 50.000 +Reading frame 2 time 50.000 -> frame 1 time 40.000 Last frame 2 time 50.000 + -> frame 2 time 50.000 +Last written: frame 2 time 50.000 -GROMACS reminds you: "The use of COBOL cripples the mind; its teaching should therefore be regarded as a criminal offense." (Edsger Dijkstra) +GROMACS reminds you: "I'm Not Gonna Die Here !" (Sphere) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output Selected 0: 'System' - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/5/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 60 -e 80 -o out/PIP2.1_test_traj_3.xtc @@ -224,16 +145,17 @@ Reading frame 0 time 60.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 60.000 -Reading frame 1 time 70.000 -> frame 1 time 70.000 +Reading frame 1 time 70.000 -> frame 0 time 60.000 -Reading frame 2 time 80.000 -> frame 2 time 80.000 +Reading frame 2 time 80.000 -> frame 1 time 70.000 Last frame 2 time 80.000 + -> frame 2 time 80.000 +Last written: frame 2 time 80.000 -GROMACS reminds you: "C++ is tricky. You can do everything. You can even make every mistake." (Nicolai Josuttis, CppCon2017) +GROMACS reminds you: "Furious activity is no substitute for understanding." (H.H. Williams) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output diff -r b120a98cf623 -r 433dba16af7d test-data/cut_trajectories_no_file.log --- a/test-data/cut_trajectories_no_file.log Fri May 27 07:36:52 2022 +0000 +++ b/test-data/cut_trajectories_no_file.log Fri May 27 09:07:29 2022 +0000 @@ -14,45 +14,18 @@ INFO - .gro file is PIP2.1_test.gro INFO - .xtc file is PIP2.1_test.xtc INFO - Output directory is out/ -INFO - The name of .log file is log/cut_trajectories.log +INFO - The name of .log file is out_log/cut_trajectories.log INFO - The number of cpus used is 1 INFO - Sub_trajectory 1 starts at 0 ps and ends at 20 ps INFO - Sub_trajectory 2 starts at 30 ps and ends at 50 ps INFO - Sub_trajectory 3 starts at 60 ps and ends at 80 ps INFO - Launch gmx trjconv - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/7/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 0 -e 20 -o out/PIP2.1_test_traj_1.xtc @@ -78,52 +51,26 @@ Reading frame 0 time 0.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 0.000 -Reading frame 1 time 10.000 -> frame 1 time 10.000 +Reading frame 1 time 10.000 -> frame 0 time 0.000 -Reading frame 2 time 20.000 -> frame 2 time 20.000 +Reading frame 2 time 20.000 -> frame 1 time 10.000 Last frame 2 time 20.000 + -> frame 2 time 20.000 +Last written: frame 2 time 20.000 -GROMACS reminds you: "Your Proposal is Accepted" (Men In Black) +GROMACS reminds you: "It is now quite lawful for a Catholic woman to avoid pregnancy by a resort to mathematics, though she is still forbidden to resort to physics and chemistry." (Henry Louis Mencken) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output Selected 0: 'System' - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/7/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 30 -e 50 -o out/PIP2.1_test_traj_2.xtc @@ -150,52 +97,26 @@ Reading frame 0 time 30.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 30.000 -Reading frame 1 time 40.000 -> frame 1 time 40.000 +Reading frame 1 time 40.000 -> frame 0 time 30.000 -Reading frame 2 time 50.000 -> frame 2 time 50.000 +Reading frame 2 time 50.000 -> frame 1 time 40.000 Last frame 2 time 50.000 + -> frame 2 time 50.000 +Last written: frame 2 time 50.000 -GROMACS reminds you: "That Was Really Cool" (Butthead) +GROMACS reminds you: "Here's the Way It Might End" (G. Michael) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output Selected 0: 'System' - :-) GROMACS - gmx trjconv, 2020.1-Ubuntu-2020.1-1 (-: + :-) GROMACS - gmx trjconv, 2022.1-conda_forge (-: - GROMACS is written by: - Emile Apol Rossen Apostolov Paul Bauer Herman J.C. Berendsen - Par Bjelkmar Christian Blau Viacheslav Bolnykh Kevin Boyd - Aldert van Buuren Rudi van Drunen Anton Feenstra Alan Gray - Gerrit Groenhof Anca Hamuraru Vincent Hindriksen M. Eric Irrgang - Aleksei Iupinov Christoph Junghans Joe Jordan Dimitrios Karkoulis - Peter Kasson Jiri Kraus Carsten Kutzner Per Larsson - Justin A. Lemkul Viveca Lindahl Magnus Lundborg Erik Marklund - Pascal Merz Pieter Meulenhoff Teemu Murtola Szilard Pall - Sander Pronk Roland Schulz Michael Shirts Alexey Shvetsov - Alfons Sijbers Peter Tieleman Jon Vincent Teemu Virolainen - Christian Wennberg Maarten Wolf Artem Zhmurov - and the project leaders: - Mark Abraham, Berk Hess, Erik Lindahl, and David van der Spoel - -Copyright (c) 1991-2000, University of Groningen, The Netherlands. -Copyright (c) 2001-2019, The GROMACS development team at -Uppsala University, Stockholm University and -the Royal Institute of Technology, Sweden. -check out http://www.gromacs.org for more information. - -GROMACS is free software; you can redistribute it and/or modify it -under the terms of the GNU Lesser General Public License -as published by the Free Software Foundation; either version 2.1 -of the License, or (at your option) any later version. - -GROMACS: gmx trjconv, version 2020.1-Ubuntu-2020.1-1 -Executable: /usr/bin/gmx -Data prefix: /usr -Working dir: /home/aepetit/Documents/scripts/Stage-M2/wrapper/test-data +Executable: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1/bin.AVX2_256/gmx +Data prefix: /home/aepetit/miniconda3/envs/mulled-v1-0569c04ab612909a373223b7f7da6469041d31d933b93b55db5a38a76d747ad1 +Working dir: /tmp/tmp87fei_xs/job_working_directory/000/7/working Command line: gmx trjconv -f PIP2.1_test.xtc -s PIP2.1_test.gro -b 60 -e 80 -o out/PIP2.1_test_traj_3.xtc @@ -222,16 +143,17 @@ Reading frame 0 time 60.000 Precision of PIP2.1_test.xtc is 0.001 (nm) Using output precision of 0.001 (nm) - -> frame 0 time 60.000 -Reading frame 1 time 70.000 -> frame 1 time 70.000 +Reading frame 1 time 70.000 -> frame 0 time 60.000 -Reading frame 2 time 80.000 -> frame 2 time 80.000 +Reading frame 2 time 80.000 -> frame 1 time 70.000 Last frame 2 time 80.000 + -> frame 2 time 80.000 +Last written: frame 2 time 80.000 -GROMACS reminds you: "Everything He Lacks, He Makes Up In Denial" (Offspring) +GROMACS reminds you: "Whatever Happened to Pong ?" (F. Black) Note that major changes are planned in future for trjconv, to improve usability and utility. Select group for output